%define	upstream_name	 SNMP-MIB-Compiler
%define	upstream_version 0.06

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

License:	GPL+ or Artistic
Group:		Development/Perl
Summary:	A MIB Compiler for perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/SNMP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Data::Compare)
BuildRequires:	perl(File::Find::Rule)
BuildArch:	noarch


Requires:	perl-Data-Compare

%description
SNMP::MIB::Compiler is a MIB compiler that
fully supports both SMI(v1) and SMIv2. This
module can be use to compile MIBs (recursively
or not) or load already compiled MIBs for
later use.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc MANIFEST README
%{perl_vendorlib}/Bundle
%{perl_vendorlib}/SNMP
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Tue Nov 01 2022 umeabot <umeabot> 0.60.0-10.mga9
+ Revision: 1901192
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.60.0-9.mga8
+ Revision: 1497173
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.60.0-8.mga7
+ Revision: 1271192
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-7.mga6
+ Revision: 1033102
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.60.0-6.mga6
+ Revision: 936368
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-5.mga5
+ Revision: 744606
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-4.mga5
+ Revision: 686129
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 514480
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 372392
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 37200
- mageia rebuild
- imported package perl-SNMP-MIB-Compiler

